from django.conf.urls import url

from . import views


urlpatterns = [
    url(r'^$', views.map, name='map'),
    url(r'^productlist/$', views.productList, name='productList'),
    url(r'^regionsearched/$', views.regionSearched, name='regionSearched'),
    url(r'^searchsubmit/$', views.SearchSubmitView.as_view(), name='search-submit'),
    url(r'^imgrequest/$', views.requestToImage, name='img-rqst'),
    url(r'^cartrequest/$', views.saveInCart, name='cart-rqst'),
    url(r'^fromcartrqst/$', views.getFromCart, name='from-cart-rqst'),
    url(r'^delcartrqst/$', views.delFromCart, name='del-cart-rqst'),
    url(r'^purchcartrqst/$', views.purchaseProduct, name='purch-prod-rqst'),
    url(r'^cart/$', views.showCart, name='show-cart'),
    url(r'^pay/$', views.Pay, name='pay'),
    url(r'^ipn/$', views.IPN, name='ipn'),
    url(r'^register/$', views.Registration, name='register'),
]
